<zs-spinner class="spinner-regular spinner-overlay" is-loading="vm.isLoading()">
</zs-spinner>

<div class="search-table-wrapper" zs-scroll-fade>

	<div
		class="zs-table table"
		role="table"
	>

		<zs-table-header
			columns="vm.getColumns()"
			on-column-click="vm.handleColumnClick($columnId)"
			class="table-row"
		>
		</zs-table-header>

		<zs-table-body
			data-rows="vm.getRows()"
			data-columns="vm.getColumns()"
			class="table-body"
			use-href="true"
		></zs-table-body>

	</div>

	<div class="zs-table-empty" ng-show="vm.getRows().length === 0">
		Geen resultaten
	</div>
</div>

<zs-pagination
	current-page="vm.getCurrentPage()"
	on-page-change="vm.handlePageChange($page)"
	has-next-page="vm.hasNextPage()"
	has-prev-page="vm.hasPrevPage()"
	data-limit="vm.getLimit()"
	on-limit-change="vm.handleLimitChange($limit)"
	is-loading="vm.isResultLoading()"
	ng-show="!vm.isEmpty()"
>	
</zs-pagination>

<div class="widget-inner-scroll-shade widget-inner-scroll-shade-top"></div>
<div class="widget-inner-scroll-shade widget-inner-scroll-shade-left"></div>
<div class="widget-inner-scroll-shade widget-inner-scroll-shade-right"></div>
<div class="widget-inner-scroll-shade widget-inner-scroll-shade-bottom"></div>
